:root {
    --primary: #F5A623;
    --dark: #0a3941;
    --light: #F4F6F7;
    --text-dark: #1E1E1E;
    --white: #ffffff;
}

body {
    font-family: "Inter", sans-serif;
    color: var(--text-dark);
    overflow-x: hidden;
}

h1, h2{
    font-family: "Playfair Display", serif;
    font-weight: 600;
}

.btn-primary{
    background-color: var(--dark);
    color: var(--white);
    font-weight: 900;
    border: 0px none;
    padding: 15px 60px;
    border-radius: 15px;
}

.btn-primary:hover{
    background-color: var(--white);
    color: var(--dark);
}

.logo {
    height: 65px;
}

.header {
    background: var(--white);
}

.social-icons a {
    color: var(--white);
    background-color: #192642;
    padding: 10px;
    width: 35px;
    text-align: center;
    display: inline-block;
    border-radius: 50%;
    font-size: 14px;
    margin-left: 10px;
    transition: opacity .2s;
}

.social-icons a:hover {
    opacity: 0.7;
}

/* HERO */
.hero {
    position: relative;
    margin-bottom: -80px;
}

.hero-bg {
    width: 100%;
    max-height: 740px;
    object-fit: cover;
}

.hero-content {
    position: absolute;
    top: 120px;
    left: 0;
    right: 0;
    color: var(--dark);
}

.hero h1 {
    font-size: 4rem;
    font-weight: bold;
}

.hero h1 span {
    color: var(--primary);
}

.hero p{
    font-size: 1.2rem;
    margin-top: 30px;
}

.hero p span{
    color: var(--primary);
    font-weight: 900;
}

.hero-icons {
    display: flex;
    gap: 15px;
    margin-top: 20px;
}

.icon-item {
    color: var(--dark);
    padding: 10px 15px;
    font-size: 1rem;
    font-weight: 900;
    text-align: center;
    text-transform: uppercase;
}
.icon-item span{
    display: block;
}

#quartoCarousel {
    position: relative;
}

.custom-arrow {
    width: 48px;
    height: 48px;
    background: #fff;
    border-radius: 50%;
    top: 50%;
    transform: translateY(-50%);
    right: 20px;
    opacity: 1;
}

.custom-arrow i {
    color: #0b3c3f;
    font-size: 18px;
}

.custom-arrow:hover {
    background: #f5a623;
}

.custom-arrow:hover i {
    color: #fff;
}


/* FORM */
.form-container {
    position: relative;
    margin-top: -70px;
    background: var(--primary);
    padding: 25px;
    border-radius: 15px;
}
.custom-input .input-group-text {
    background: #ffffff;
    border: none;
    padding: 0 15px;
    color: #999;
    border-radius: 10px 0 0 10px;
}

.custom-input .form-control,
.custom-input .form-select {
    border: none;
    border-radius: 0 10px 10px 0;
    padding: 12px 15px;
    font-size: 0.95rem;
}

.custom-input {
    background: #ffffff;
    border-radius: 10px;
    overflow: hidden;
}

.form-container .form-label {
    color: #ffffff;
    font-weight: 600;
    margin-bottom: 8px;
}

/* DARK SECTION */
.section-dark {
    background: var(--dark);
    color: var(--white);
    padding-top: 150px;
    padding-bottom: 100px;
}

.section-dark h2 {
    font-weight: bold;
    font-size: 2.6rem;
}

.section-dark p{
    line-height: 2rem;
}

.section-dark h2 span{
    color: var(--primary);
}

.section-dark .carousel-inner.rounded{
    border-radius: 30px!important;
}

.section-dark .carousel-indicators {
    bottom: -40px;
}

.section-dark .carousel-indicators button {
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background-color: rgba(255,255,255,.4);
    border: none;
    margin: 0 4px;
}

.section-dark .carousel-indicators .active {
    background-color: #f5a623;
}

.apartamentos{
    position: relative;
}
.apartamentos::before{
    position: absolute;
    top: 0;
    left: 0;
    z-index: 3;
    width: 40%;
    height: 48px;
    background: url('../img/fundo.jpg') center repeat;
    content: ' ';
    margin-top: -24px;
}

.apartamentos h2{
    font-size: 2.6rem;
    color: var(--dark);
}

.apartamentos p{
    line-height: 2rem;
}

.apartamentos a.btn.btn-primary{
    background-color: var(--primary);
    color: var(--dark);
}
.apartamentos a.btn.btn-primary:hover{
    background-color: var(--dark);
    color: var(--primary);
}

.features{
    display:flex;
    gap:30px;
    margin-top:30px;
}

.feature-item{
    display:flex;
    align-items:flex-start;
    gap:15px;
    font-size:.9rem;
}

.feature-item img{
    width:36px;
}

.apto-wrapper {
    position: relative;
}

.apto-wrapper img {
    width: 100%;
    height: auto;
}

.planta-img {
    cursor: zoom-in;
}

.apto-info {
    position: absolute;
    top: 30px;
    right: 0px;
    color: var(--dark);
    width: 350px;
    text-align: left;
}

.apto-info .tipo {
    font-size: 1.5rem;
    display: block;
}

.apto-info .desc {
    font-size: 3rem;
    line-height: 2.8rem;
    display: block;
    margin: 0;
    font-weight: 900;
    margin: 20px 0px;
}

.apto-info .desc strong{
    font-size: 2rem;
}

.apto-info .font{
    font-size: 5rem;
    line-height: 4rem;
    display: block;
    margin: 0;
    font-family: "Playfair Display", serif;
}

.bg-light .carousel-indicators {
    bottom: -40px;
}

.bg-light .carousel-indicators button {
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background-color: rgba(245,166,35,.4);
    border: none;
    margin: 0 4px;
}

.bg-light .carousel-indicators .active {
    background-color: #f5a623;
}

/* MAPA */
.map-section {
    background-image: url('../img/mapa.jpg');
    background-repeat: no-repeat;
    background-position: left center;
    background-size: contain;
    background-color: #f7a929;
    padding: 100px 0;
    height: 800px;
}

.map-section h2{
    font-size: 2.8rem;
    color: var(--white);
}

.map-section h2 span{
    color: var(--dark);
}

.map-section p{
    line-height: 2rem;
    margin-top: 40px;
}

.map-section strong{
    font-size: 1.6rem;
    color: var(--dark);
    font-weight: 900;
}

.map-section .container,
.map-section .container .row{
    height: 100%;
}

/* FOOTER */
.footer {
    background: #002147;
    color: var(--white);
}

.footer-social a {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 42px;
    height: 42px;
    margin: 0 6px;
    border-radius: 50%;
    background: #ffffff;
    color: #002147;
    font-size: 16px;
    transition: all .2s ease;
}

.footer-social a:hover {
    background: #f5a623;
    color: #002147;
}

.footer-logo {
    height: 60px;
}

.footer-text {
    max-width: 820px;
    margin: 20px auto;
    opacity: .75;
    font-size: .8rem;
    line-height: 1.4rem;
}

.developed-by {
    font-size: 0.7rem;
    opacity: .6;
    margin-top: 40px;
}

/* ===== SCROLL ANIMATIONS ===== */
.animate {
    opacity: 0;
    transform: translateY(40px);
    transition: opacity .8s ease, transform .8s ease;
    will-change: opacity, transform;
}

.animate.show {
    opacity: 1;
    transform: translateY(0);
}

/* variações opcionais */
.animate-left {
    transform: translateX(-40px);
}

.animate-right {
    transform: translateX(40px);
}

.animate-left.show,
.animate-right.show {
    transform: translateX(0);
}



@media (max-width: 768px) {

    body{
        overflow-x: hidden;
        width: 100%;
    }

    /* HEADER */
    .header .container {
        flex-direction: column;
        gap: 15px;
    }

    .logo {
        height: 45px;
    }

    .header-right {
        justify-content: center;
        width: 100%;
    }

    /* HERO */
    .hero {
        margin-bottom: 0;
    }

    .hero-bg {
        max-height: 520px;
    }

    .hero-content {
        position: relative;
        top: 0;
        padding-top: 30px;
        text-align: center;
    }

    .hero h1 {
        font-size: 2.4rem;
        line-height: 2.8rem;
    }

    .hero p {
        font-size: 1rem;
    }

    .hero-icons {
        justify-content: center;
        flex-wrap: wrap;
    }

    .icon-item {
        font-size: 0.85rem;
        padding: 8px 12px;
    }

    /* FORM */
    .form-container {
        margin-top: 20px;
        padding: 20px;
    }

    .form-container .row > div {
        margin-bottom: 10px;
    }

    .btn-primary {
        width: 100%;
        padding: 14px;
    }

    /* LAZER */
    .section-dark {
        padding-top: 80px;
        padding-bottom: 80px;
        text-align: center;
    }

    .section-dark h2 {
        font-size: 2rem;
        margin-top: 40px;
    }

    .section-dark p {
        font-size: 0.95rem;
    }

    .features {
        margin-top: 20px;
        display: block;
    }

    .feature-item{
        margin-top: 15px;
        display: block;
        text-align: center;
    }

    .feature-item img{
        width: 46px;
    }

    .features span {
        display: block;
        margin-bottom: 10px;
    }

    .apartamentos{
        padding-top: 30px!important;
    }

    .apartamentos .row{
        margin: 0;
    }

    /* APARTAMENTOS */
    .apartamentos::before {
        display: none;
    }

    .apartamentos h2 {
        font-size: 2rem;
        text-align: center;
        margin-top: 30px;
    }

    .apartamentos p {
        text-align: center;
    }

    .apartamentos a.btn {
        display: block;
        margin: 0 auto;
    }

    /* SLIDES */
    .custom-arrow {
        right: 10px;
        width: 40px;
        height: 40px;
    }

    /* PLANTA */
    .apto-info {
        position: relative;
        top: auto;
        right: auto;
        width: 100%;
        margin-top: 20px;
        text-align: center;
    }

    .apto-info .font {
        font-size: 3.5rem;
    }

    /* MAPA */
    .map-section {
        height: auto;
        padding: 80px 20px;
        text-align: center;
    }

     .map-section .container {
        height: auto;
        padding-bottom: 400px;
        text-align: center;
      }

    .map-section h2 {
        font-size: 2.2rem;
    }

    .map-section p {
        font-size: 1rem;
    }

    .map-section strong {
        font-size: 1.2rem;
    }

    .map-section .container, .map-section .container .row{
        height: auto;
    }

    /* FOOTER */
    .footer-top {
        flex-direction: column;
        gap: 15px;
    }

    .footer-logo {
        height: 50px;
    }

    .footer-text {
        font-size: 0.85rem;
    }
}

/* ================================
   RESPONSIVO - DESKTOP FULL HD
================================ */
@media (min-width: 1400px) {
    .container {
        max-width: 1320px;
    }

    .hero h1 {
        font-size: 3.2rem;
    }

    .map-section{
        background-position: -50px;
    }

}

/* ================================
   NOTEBOOK / DESKTOP MÉDIO
================================ */
@media (max-width: 1399px) {
    .hero h1 {
        font-size: 2.7rem;
    }

    .map-section{
        height: 650px;
        background-position: -200px;
    }

    .hero-content{
        margin-top: -80px;
    }
}

/* ================================
   TABLETS GRANDES / iPad PRO
================================ */
@media (max-width: 1199px) {

    .hero{
        overflow-x: hidden;
    }

    .hero h1 {
        font-size: 2.3rem;
    }

    .hero-bg{
        width: auto;
        height: 200px;
    }

    .form-container {
        margin-top: -70px;
    }

    .apartamentos .col-lg-3 {
        padding-top: 40px;
    }

    .map-section{
        height: 650px;
        background-position: -400px;
    }

    
}

/* ================================
   TABLETS / iPad
================================ */
@media (max-width: 991px) {

    .hero-bg{
    }

    header .container {
        flex-direction: column;
        gap: 15px;
    }

    .hero-content {
        text-align: center;
    }

    .hero-icons {
        justify-content: center;
    }

    .form-container {
        position: static;
        margin-top: -100px;
    }

    .btn-primary{
        padding: 15px;
    }

    .section-dark .row,
    .apartamentos .row {
        flex-direction: column;
    }

    .section-dark h2{
        margin-top: 30px;
    }

    .apto-info{
        position: relative;
        top: 0;
        right: 0px;
        color: var(--dark);
        width: 100%;
        text-align: left;
        padding: 30px;
        text-align: center;
    }

    .features {
        justify-content: center;
        gap: 20px;
    }

    .map-section{
        background-position: bottom center;
        padding-bottom: 0px;
        padding-top: 30px;
        height: auto;
    }

    .map-section .container .row{
        align-items: start!important;
        height: auto;
    }
    .map-section .container{
        height: auto;
        padding-bottom: 600px;
        text-align: center;
    }
}

/* ================================
   MOBILE
================================ */
@media (max-width: 767px) {

    .hero h1 {
        font-size: 2rem;
        margin-top: 70px;
    }

    .hero p {
        font-size: 0.95rem;
    }

    .hero-icons {
        align-items: center;
    }

    .form-container{
        margin-top: 30px;
    }

    .form-container form .col-md-3 {
        width: 100%;
    }

    footer .footer-top {
        flex-direction: column;
    }

    .map-section .col-lg-4 {
        padding-bottom: 30px;
    }
}
